summaryrefslogtreecommitdiffstats
path: root/system/gparted
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 15:18:38 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 15:18:38 +0200
commitb0ecc439edc1bb9daa83e664203420e685227856 (patch)
treea2ae6e1d4e71267c54e432355a8ed4542eec20fe /system/gparted
parentb6eeac29fc7593c412edca232b8fa188e99330c6 (diff)
downloadslackbuilds-b0ecc439edc1bb9daa83e664203420e685227856.tar.gz
slackbuilds-b0ecc439edc1bb9daa83e664203420e685227856.tar.xz
system/gparted: Initial import
Diffstat (limited to 'system/gparted')
-rw-r--r--system/gparted/README11
-rw-r--r--system/gparted/doinst.sh3
-rw-r--r--system/gparted/gparted.SlackBuild51
-rw-r--r--system/gparted/gparted.info8
-rw-r--r--system/gparted/slack-desc11
5 files changed, 84 insertions, 0 deletions
diff --git a/system/gparted/README b/system/gparted/README
new file mode 100644
index 0000000000..a3aab4d722
--- /dev/null
+++ b/system/gparted/README
@@ -0,0 +1,11 @@
+GParted uses GNU libparted to detect and manipulate devices and
+partition tables. Several (optional) "file system" tools provide
+support for file systems not included in libparted. These optional
+packages will be detected at runtime and do not require a rebuild
+of GParted. GParted is written in C++ and uses gtkmm for it's
+Graphical User Interface (GUI).
+
+gtkmm, which is available at slackbuilds.org, and parted, which
+can be found on the second Slackware CD in extra/ or on any official
+Slackware mirror, are required to build gparted.
+
diff --git a/system/gparted/doinst.sh b/system/gparted/doinst.sh
new file mode 100644
index 0000000000..85aad974d0
--- /dev/null
+++ b/system/gparted/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database &> /dev/null
+fi
diff --git a/system/gparted/gparted.SlackBuild b/system/gparted/gparted.SlackBuild
new file mode 100644
index 0000000000..b85671fff8
--- /dev/null
+++ b/system/gparted/gparted.SlackBuild
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# Slackware build script for GParted
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=gparted
+VERSION=0.3.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | egrep "ELF.*executable" | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+sed -i 's|Icon=gparted.png|Icon=/usr/share/pixmaps/gparted.png|' $PKG/usr/share/applications/gparted.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/gparted/gparted.info b/system/gparted/gparted.info
new file mode 100644
index 0000000000..5b3b6172d4
--- /dev/null
+++ b/system/gparted/gparted.info
@@ -0,0 +1,8 @@
+PRGNAM="gparted"
+VERSION="0.3.3"
+HOMEPAGE="http://gparted.sourceforge.net/"
+DOWNLOAD="http://dl.sourceforge.net/sourceforge/gparted/gparted-0.3.3.tar.bz2"
+MD5SUM="f3d16ccfda72fa1dac9fa1ff9ded2c42"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="BP{k}"
diff --git a/system/gparted/slack-desc b/system/gparted/slack-desc
new file mode 100644
index 0000000000..fc92e53778
--- /dev/null
+++ b/system/gparted/slack-desc
@@ -0,0 +1,11 @@
+gparted: Gnome Partition Editor
+gparted:
+gparted: GParted uses GNU libparted to detect and manipulate devices and
+gparted: partition tables. Several (optional) "file system" tools provide
+gparted: support for file systems not included in libparted. These optional
+gparted: packages will be detected at runtime and do not require a rebuild
+gparted: of GParted. GParted is written in C++ and uses gtkmm for it's
+gparted: Graphical User Interface (GUI).
+gparted:
+gparted: http://gparted.sourceforge.net/
+gparted: